Bug 1639268 (CVE-2018-3183) - CVE-2018-3183 OpenJDK: Unrestricted access to scripting engine (Scripting, 8202936)
Summary: CVE-2018-3183 OpenJDK: Unrestricted access to scripting engine (Scripting, 82...
Status: CLOSED ERRATA
Alias: CVE-2018-3183
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20181016,repor...
Keywords: Security
Depends On: 1646175 1633820 1633821 1633822 1639731 1639732 1639733 1646173 1646174 1652094
Blocks: 1633819
TreeView+ depends on / blocked
 
Reported: 2018-10-15 12:36 UTC by Tomas Hoger
Modified: 2019-06-08 23:39 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-12-18 21:47:03 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2942 None None None 2018-10-17 21:21 UTC
Red Hat Product Errata RHSA-2018:2943 None None None 2018-10-17 21:22 UTC
Red Hat Product Errata RHSA-2018:3002 None None None 2018-10-24 22:06 UTC
Red Hat Product Errata RHSA-2018:3003 None None None 2018-10-24 22:07 UTC
Red Hat Product Errata RHSA-2018:3521 None None None 2018-11-07 18:13 UTC
Red Hat Product Errata RHSA-2018:3533 None None None 2018-11-09 11:49 UTC
Red Hat Product Errata RHSA-2018:3534 None None None 2018-11-09 11:49 UTC
Red Hat Product Errata RHSA-2018:3852 None None None 2018-12-18 15:50 UTC

Description Tomas Hoger 2018-10-15 12:36:45 UTC
It was discovered that the Scripting component of OpenJDK did not properly restrict access to scripting engine via Global object's engine variable when using Security Manager or class filtering.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2018-10-16 20:44:27 UTC
Public now via Oracle CPU October 2018:

https://www.oracle.com/technetwork/security-advisory/cpuoct2018-4428296.html#AppendixJAVA

The issue was fixed in Oracle JDK 11.0.1 and 8u191.

Comment 3 errata-xmlrpc 2018-10-17 21:21:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2942 https://access.redhat.com/errata/RHSA-2018:2942

Comment 4 errata-xmlrpc 2018-10-17 21:22:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2943 https://access.redhat.com/errata/RHSA-2018:2943

Comment 5 Tomas Hoger 2018-10-19 20:26:44 UTC
OpenJDK-8 upstream commit:
http://hg.openjdk.java.net/jdk8u/jdk8u/nashorn/rev/2152c4a01445

OpenJDK-11 upstream commit:
http://hg.openjdk.java.net/jdk-updates/jdk11u/rev/ba5ec2308106

Comment 6 errata-xmlrpc 2018-10-24 22:06:44 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2018:3002 https://access.redhat.com/errata/RHSA-2018:3002

Comment 7 errata-xmlrpc 2018-10-24 22:07:30 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:3003 https://access.redhat.com/errata/RHSA-2018:3003

Comment 8 errata-xmlrpc 2018-11-07 18:13:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3521 https://access.redhat.com/errata/RHSA-2018:3521

Comment 9 errata-xmlrpc 2018-11-09 11:49:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:3533 https://access.redhat.com/errata/RHSA-2018:3533

Comment 10 errata-xmlrpc 2018-11-09 11:49:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2018:3534 https://access.redhat.com/errata/RHSA-2018:3534

Comment 12 errata-xmlrpc 2018-12-18 15:50:54 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2018:3852 https://access.redhat.com/errata/RHSA-2018:3852


Note You need to log in before you can comment on or make changes to this bug.